# Download Customer Report

This endpoint creates a temporary, time-limited URL for downloading the report corresponding to the given id, and returns a single `ReportDownload` object.

Endpoint: POST /api/v1/reports/{report_id}/download/
Version: Version: 0d14821f
Security: CodeBearer

## Security:

  - `CodeBearer` (unknown)
    oauth2 scopes: reports.read

## Path parameters:

  - `report_id` (string, required)

## Response 200:

  - `200` (unknown)
    Successful Response

## Response 200 fields (application/json):

  - `download_url` (string, required)

  - `expires` (string, required)

## Response 404:

  - `404` (unknown)
    Not found

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

